Imports System.ComponentModel
Imports System.Web.UI

Public Class AspStandard
    Inherits System.Web.UI.Page

    Dim strASPX As String
    Dim strINPUT As String = "txtINPUT"
    Dim strLabel As String = "Label"

    Public Property action() As String
        Get
            Return strASPX
        End Get
        Set(ByVal Value As String)
            strASPX = Value
        End Set
    End Property
    Public Property INPUT() As String
        Get
            Return strINPUT
        End Get
        Set(ByVal Value As String)
            strINPUT = Value
        End Set
    End Property
    Public Property name() As String
        Get
            Return strLabel
        End Get
        Set(ByVal Value As String)
            strLabel = Value
        End Set
    End Property

    Protected Overrides Sub Render(ByVal writer As System.Web.UI.HtmlTextWriter)
        Dim strHTML As String

        strHTML = "<html lang=""ja"">" & vbCrLf & _
                  "<body bgcolor=""LightBlue"">" & vbCrLf & _
                  "<form method=""post"" runat=""server"" language=""javascript""" & vbCrLf & _
                  "      action=""" & strASPX & """>" & vbCrLf & _
                  "<div>" & strLabel & "<div>" & vbCrLf & _
                  "<INPUT name=""txtInput"" value=""" & strINPUT & """>" & vbCrLf & _
                  "</form>" & vbCrLf & _
                  "</body>" & vbCrLf & _
                  "</html>"
        writer.Write(strHTML)
    End Sub

End Class
